Bug 126263

Summary: NFS mount with vanilla kernel 2.6.6 fails
Product: [Fedora] Fedora Reporter: Joachim Backes <joachim.backes>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED NOTABUG QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 2   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-09-13 20:44:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Joachim Backes 2004-06-18 02:47:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
HAving problems to run the NFS services, using FC2 and the vanilla
kernel when nfs is not built as modules, but if it has been compiled
in. In This case, all tries to mount such an nfs server filesystem
fails with "permission denied".

If I build the NFS filesystem on a module based, all is OK.

With the no-module solution of vanilla kernel 2.6.6 in FC1, I had no
problems. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install FC2 with an vanilla kernel where NFS is not made on a module
base.
2.Start FC2
3.Try to mount some dir from a remote machine.

    

Actual Results:   Mount fails from this remote machine with
"permission denied"

Expected Results:  Mount OK.

Additional info:

The problem disappears if compiling NFS on a module base in the
vanilla kernel.
Comment 1 Steve Dickson 2004-07-15 14:14:24 EDT
Added the following to your fstab:

nfsd    /proc/fs/nfsd           nfsd            auto,defaults  0 0
sunrpc  /var/lib/nfs/rpc_pipefs rpc_pipefs      auto,defaults  0 0

This should take care of the problem
Comment 2 Scott Leerssen 2005-09-13 11:43:24 EDT
I'm having the same problem with kernel 2.6.13 in FC3.  The fstab entries do not seem to help.  
Additionally, /etc/rc.d/init.d/rpcidmapd bails out when it tries to 'modprobe sunrpc' which is included 
into the kernel (CONFIG_SUNRPC=y) when CONFIG_NFS_FS=y.
Comment 3 Scott Leerssen 2005-09-13 12:35:16 EDT
never mind... it's working fine with the sunrpc mount line